# Hinweise für den Versuch Schaltlogik

## Realisierung von Gattern auf integrierten Schaltkreisen, ASICs und FPGAs

### Integrierte Schaltkreise

Das **Schaltbrett** eignet sich sehr gut dazu die physikalischen Grundlagen der digitalen Schalttechnik zu erkennen. In der technischen Fertigung bringt man Schaltungen, wie Sie sie hier mit Kabeln, Widerständen, Dioden und Transistoren realisiert haben mit festen Leiterbahnen auf **[integrierte Schaltkreise](https://de.wikipedia.org/wiki/Integrierter_Schaltkreis) (*integrated curcuit*, IC)** auf, die Sie als Chips kennen. An Ihrem Versuchsplatz liegen noch einige ICs als schwarze Blöcke mit mehreren Anschlüssen (Beinchen) aus. Die Blöcke können in entsprechende Sockel im Steckbrett gepresst und von außen verschaltet und angesteuert werden. Für den Versuch sind diese Schaltblöcke jedoch nicht mehr in Verwendung.

### ASIC

Ein erster Schritt zu Prozessspezialisierung ist der **[Application Specific Integrated Circuit, ASIC](https://en.wikipedia.org/wiki/Application-specific_integrated_circuit)**, für den man mit Hilfe von entsprechender Software ein Design vornimmt auf dessen Grundlage man den Chip fertigen lässt. 

### FPGA

Nach heutigem Stand der Technik bringt man neben den ICs und ASICs Schaltkreise auf Platinen auf, die durch äußere Beschaltung veränderbar sind. Solche Chips bezeichnet man als **[Field Programmable Gate Arrays, FPGAs](https://de.wikipedia.org/wiki/Field_Programmable_Gate_Array#:~:text=Ein%20FPGA%20(Akronym%20f%C3%BCr%20Field,(Logik%2D)Gatter%2DAnordnung.)**. Der FPGA wird durch entsprechende Software zur Programmierung der Hardware (Firmware) konfiguriert und agiert daraufhin als ICs bis zur Neukonfiguration. 

## Die MAXwel-Platine 

Ab **Aufgabe 2** werden Sie alle weiteren Schaltungen auf einem FPGA realisieren. Die ([MAX ii Workbench for Education and Learning](https://github.com/MitchiLaser/MAXwel)) MAXwel-Platine mit integriertem FPGA, wie Sie sie für diesen Versuch verwenden ist in **Abbildung 1** gezeigt:

---

<img src="../figures/FPGA.png" width="1000" style="zoom:100%;" />

**Abbildung 8**: (Platine mit integriertem FPGA, wie sie für diesen Versuch im Einsatz ist. Abbildung a zeigt ein Photo der Platine. In Abbildung b ist der Grundriss der Platine gezeigt)

---

Sie wurde von Michael Hohenstein, einem Ihrer Kommilitonen entwickelt. 

- Auf dem Bild können Sie oben links die **Spannungsversorgung** erkennen. 
- Darunter befindet sich ein **An/Aus-Schalter** mit einer Power-LED als Kontrollleuchte. Wenn das Gerät aus- und  wieder eingeschaltet wird, bleibt die Konfiguration, die auf den Chip hochgeladen wurde, erhalten.
- Rechts neben der Spannungsversorgung befindet sich eine **vierstellige [Siebensegmentanzeige](https://de.wikipedia.org/wiki/Segmentanzeige)**, Wie Sie sie von Ihrem Digitalwecker kennen.  
- Wiederum rechts davon befindet sich eine (10-polige) **IDC-10 Steckverbindung**, über die der FPGA konfiguriert wird. Die Konfiguration erfolgt über die durch IEEE standarisierte Schnittstelle [JTAG](https://de.wikipedia.org/wiki/Joint_Test_Action_Group), die bei der Programmierung und zum Test von Leiterplatten eingesetzt wird. Die Verbindung zum Rechner erfolgt über einen **USB-JTAG Adapter** (blaues Kästchen zwischen dem Flachbandkabel des IDC-10 Steckers und dem USB-Port des Rechners).
- Am rechten Rand der Platine befinden sich **vier Knöpfe** und am unteren Rand **acht Schiebeschalter**. Die Knöpfe sind so angeschlossen, dass sie in gedrücktem Zustand HIGH und im nicht gedrückten Zustand LOW an den damit verbundenen Pin des FPGA ausgeben. Die Schiebeschalter geben LOW aus, wenn sie sich (in **Abbildung 1**) jeweils in der unteren und HIGH, wenn sie sich jeweils in der oberen Position befinden. 

- Zudem gibt es auf der Platine 16 LEDs, die in $2\times8$ LEDs (LED A und LED B in **Abbildung 1b**) aufgeteilt sind. 

Eine kurze Beschreibung zur Verwendung der [Quartus Prime Lite](https://www.intel.de/content/www/de/de/collections/products/fpga/software/downloads.html) Design-Software zur Programmierung des FPGA befindet sich [hier](https://github.com/MitchiLaser/MAXwel/blob/master/docs/main.pdf). Die Software ist bereits auf einem Rechner am Versuchsplatz installiert. Es reicht aus, wenn Sie eine grobe Übersicht über den Programmiervorgsang haben. Ihre Tutor:innen werden Sie in die weitere Verwendung zur Programmierung des FPGA einführen.

# Navigation

[Main](https://gitlab.kit.edu/kit/etp-lehre/p1-praktikum/students/-/tree/main/Schaltlogik)

