# Hinweise für den Versuch Schaltlogik

## Schaltbrett

Die Aufsicht auf die in diesem Versuch verwendete Experimentiertafel Fischer TB05 ist in **Abbildung 1** gezeigt:

---

<img src="../figures/Schaltbrett.png" width="1000" style="zoom:100%;" />

**Abbildung 1**: (Aufsicht auf eine Experimentiertafel Fischer TB05. Die für diesen Versuch relevanten Abschnitte sind eingerahmt)

---

Die für den Versuch relevanten Abschnitte sind rot eingerahmt. Es handelt sich um: 

- Einen Block mit **Leuchtdioden zur Anzeige des Ausgangssignals** der gesteckten Schaltungen. 
- Einen Block mit **Kippschaltern und Tastern zur Eingabe**.
- Einen Block für die **Verkabelung der Gatter-Schaltungen**. 

### Netzanschluss

Das Schaltbrett wird mit $\mathrm{VCC}=5\ \mathrm{V\ (DC)}$ betrieben. Das an den einzelnen Elementen anliegende Potential ist entweder VCC oder GND ($0\ \mathrm{V}$). 

### Kippschalter

Über den Kippschaltern befinden sich drei Klemmen. 

- Auf der oberen Klemme liegt **GND**.
- Die Klemme in der Mitte führt das **Ausgangssignal (entweder GND oder VCC) des Kippschalters** und zwar 
  - GND, wenn der Schalter nach oben gekippt ist. 
  - VCC, wenn der Schalter nach unten gekippt ist. 
- Auf der unteren Klemme liegt **VCC**.

### Kabel

Sie können alle Elemente des Steckbretts mit dünnen Kabeln verbinden. Es empfiehlt sich dabei der folgenden **Konvention** zu folgen: 

- Schwarzes Kabel: **GND**.
- Rotes Kabel: **VCC**.
- Blaues Kabel: **Ausgangssignal**.

### Check

- Sie haben den rechten Kippschalter mit GND und VCC verbunden. 
- Sie haben den mittleren Ausgang über dem rechten Schalter mit dem Eingang über der rechten Diode verbunden. 
- Der Schalter ist nach oben gelegt

Frage:

- Welche Farbe sollte das Kabel zwischen dem mittleren Ausgang des rechten Kippschalters und der rechten Diode haben?
- Leuchtet die Diode?

# Navigation

[Main](https://gitlab.kit.edu/kit/etp-lehre/p1-praktikum/students/-/tree/main/Schaltlogik)
